Subject: Re: new zsh build hang on sparkylinux (essentially debian test)
From: Daniel Shahaf <[email-masked]>
To: Zsh hackers list <[email-masked]>
Date: Thu, 02 Jun 2016 13:28:31 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Bart Schaefer wrote on Wed, Jun 01, 2016 at 18:05:14 -0700:
> Does our "configure" assure that the test cases are run with the same
> compiler optimization flags as the final build?

Datapoint: the zsh_cv_c_have_union_init AC_TRY_COMPILE() check happens
before adding the output of `pcre-config --cflags` to CPPFLAGS.  

Cheers,

Daniel
(Bart: thanks for 38569; it'll take me more time to digest it)

> Obviously compiler optimization isn't intended to change semantics, but
> there may be some behavior that differs among standards and we're relying
> on some variant that occurs when the build is not optimized.